import { BrowserModule } from '@angular/platform-browser';
import { NgModule } from '@angular/core';
import { FormsModule } from '@angular/forms';
import { HttpModule } from '@angular/http';

import { AppComponent } from './app.component';


import { WjInputModule } from 'wijmo/wijmo.angular2.input';
import { WjGridModule } from 'wijmo/wijmo.angular2.grid';
import { WjGridSheetModule } from 'wijmo/wijmo.angular2.grid.sheet';
import { DataSvc } from '../services/DataSvc';

@NgModule({

    imports: [
        BrowserModule,       
        FormsModule,
        HttpModule,
        WjInputModule,        
        WjGridModule,
        WjGridSheetModule              
    ], declarations: [
        AppComponent       
    ],    
    providers: [DataSvc],
    bootstrap: [AppComponent]
})
export class AppModule { }
